com.rscja.team.qcom.rs232utils

## Class UHFProtocolParseUrAxBase_qcom

- java.lang.Object
- - com.rscja.team.qcom.deviceapi.UHFProtocolParseByJava
  - - com.rscja.team.qcom.rs232utils.UHFProtocolParseUrAxBase_qcom

- All Implemented Interfaces:
    IUHFProtocolParse
  Direct Known Subclasses:
    UHFProtocolParseUrA4_qcom, UHFProtocolParseUrA8_qcom

      public class UHFProtocolParseUrAxBase_qcom
      extends UHFProtocolParseByJava

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFProtocolParseUrAxBase_qcom()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `closeUhfSendData()`
    `byte[]` | `getAndroidDeviceHardwareVersionSendData()`
    `byte[]` | `getAndroidDeviceRebootSendData()`
    `byte[]` | `getAntSendData()`
    `byte[]` | `getAntWorkTimeSendData(byte antnum)`
    `byte[]` | `getAxGPIOInputStatusSendData()`
    `byte[]` | `getBeepSendData(boolean isOpen)` 获取设置蜂鸣器的发送数据
    `byte[]` | `getEthernetIpAssignModeSendData()`
    `byte[]` | `getEthernetIpConfigSendData()`
    `byte[]` | `getEthernetIpv6ConfigSendData()`
    `byte[]` | `getReaderBeepStatusSendData()`
    `byte[]` | `getUHFCurrentIpConfigSendData()`
    `byte[]` | `getUpgradeTcpServiceVersionSendData()`
    `byte[]` | `getWifiInfoSendData()`
    `byte[]` | `getWifiIpConfigSendData()`
    `byte[]` | `getWifiIpv6ConfigSendData()`
    `byte[]` | `openUhfSendData()`
    `byte[]` | `openWifiSendData(boolean open)`
    `byte[]` | `outputOnAndOffSendData(byte[] inData)`
    `int` | `parseA4GPIOInputStatusData(byte[] inData)`
    `java.lang.String` | `parseAndroidDeviceHardwareVersionData(byte[] inData)`
    `boolean` | `parseAndroidDeviceRebootData(byte[] inData)`
    `boolean` | `parseBeepData(byte[] inData)` 解析设置蜂鸣器返回的数据
    `boolean` | `parseCloseUhf(byte[] inData)`
    `int` | `parseErrorCodeData(byte[] inData)`
    `boolean` | `parseEthernetConfigInfoData(byte[] inData)`
    `byte[]` | `parseGetAntData(byte[] inData)`
    `int` | `parseGetAntWorkTimeReceiveData(byte[] inData)`
    `java.lang.String` | `parseGetEthernetIpConfigData(byte[] inData)`
    `ReaderIPEntity` | `parseGetEthernetIpv6ConfigResultData(byte[] inData)`
    `int` | `parseGetReaderBeepStatusData(byte[] inData)`
    `java.lang.String` | `parseGetUpgradeTcpServiceVersionData(byte[] inData)`
    `java.lang.String` | `parseGetWifiIpConfigData(byte[] inData)`
    `WifiConfig` | `parseGetWifiIpv6ConfigResultData(byte[] inData)`
    `boolean` | `parseOpenUhf(byte[] inData)`
    `boolean` | `parseOpenWifiData(byte[] inData)`
    `boolean` | `parseOutputOnAndOffData(byte[] inData)`
    `boolean` | `parsePortData(byte[] inData)`
    `java.lang.String` | `parseReadMacData(byte[] inData)`
    `boolean` | `parseSetAntBlinkData(byte[] inData)`
    `boolean` | `parseSetAntData(byte[] inData)`
    `boolean` | `parseSetAntWorkTimeReceiveData(byte[] inData)`
    `boolean` | `parseSetBuzzeroffOfAndroidData(byte[] inData)`
    `boolean` | `parseSetBuzzerOnOfAndroidData(byte[] inData)`
    `boolean` | `parseSetEthernetDynamicResultData(byte[] inData)`
    `boolean` | `parseStartUpgradeTcpServiceData(byte[] inData)`
    `boolean` | `parseStartUpgradeUhfData(byte[] inData)`
    `ReaderIPEntity` | `parseUHFCurrentIpConfigResultData(byte[] inData)`
    `boolean` | `parseWifiConfigInfoData(byte[] inData)`
    `byte[]` | `parseWifiInfoData(byte[] inData)`
    `byte[]` | `readMacSendData()`
    `byte[]` | `setAntBlinkSendData(byte[] ant)`
    `byte[]` | `setAntSendData(char saveflag, byte[] antStatus)`
    `byte[]` | `setAntWorkTimeSendData(byte antnum, int WorkTime)`
    `byte[]` | `setBuzzerOffOfAndroidSendData()`
    `byte[]` | `setBuzzerOnOfAndroidSendData(int time)`
    `byte[]` | `setEthernetConfigInfoSendData(ReaderIPEntity inData)`
    `byte[]` | `setEthernetDynamicSendData()`
    `byte[]` | `setPortSendData(int port)`
    `byte[]` | `setPowerSendData(int ant, int power)`
    `byte[]` | `setWifiConfigInfoSendData(WifiConfig inData)`
    `byte[]` | `startUpgradeTcpServiceSendData(long fileLen, byte[] md5)`
    `byte[]` | `startUpgradeUhfSendData(long fileLen, byte[] md5)`
    `byte[]` | `writeMacSendData(byte[] data)`

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.UHFProtocolParseByJava

      `barcodeScanTimeOutSend, blinkOfLedSendData, blockEraseDataSendData, blockWriteDataSendData, btDeleteAllTagToFlashSendData, btGetAllTagNumFromFlashSendData, btGetNewTagNumFromFlashSendData, btGetTagDataFromFlashSendData, closeLedSendData, enableBarcodeACK, GBTagLockSendData, generateLockCode, getBatterySendData, getCWSendData, getEPCTIDModeSendData, getFastIDSendData, getFrequencyModeSendData, getGen2SendData, getInstance, getInventorySingleTagSendData, getInventorySingleTagSendData, getKillSendData, getLockSendData, getParameterSendData, getPowerSendData, getProtocolSendData, getReaderAwaitSleepTimeSendData, getReadSendData, getReadTagSendData, getRFLinkSendData, getScanBarcodeInBlinkModeSendData, getScanBarcodeInTriggleModeSendData, getScanBarcodeSendData, getSetSoftResetSendData, getStartInventoryTagSendData, getStartInventoryTagSendData, getSTM32VersionSendData, getStopInventorySendData, getStopScanBarcodeInBlinkModeSendData, getStopScanBarcodeInTriggleModeSendData, getTagfocusSendData, getTemperatureSendData, getUserSettingSendData, getVersionSendData, getWriteSendData, isBarcodeDataContainSSIIDSend, isBarcodeDataContainTypeSend, makeSendData, openLedSendData, parseBarcodeData, parseBatteryData, parseBlinkOfLedData, parseBlockEraseDataData, parseBlockWriteData, parseBtDeleteAllTagToFlashData, parseBtGetAllTagNumFromFlashData, parseBtGetNewTagNumFromFlashData, parseBtGetTagDataFromFlashData, parseCloseLedData, parseContinuousInventoryTagData, parseContinuousInventoryTagData, parseFastIdData, parseGBTagLockData, parseGetCWData, parseGetEPCTIDModeData, parseGetFastIdData, parseGetFrequencyModeData, parseGetGen2Data, parseGetParameterData, parseGetPowerAllData, parseGetPowerData, parseGetProtocolData, parseGetReaderAwaitSleepTimeData, parseGetRFLinkData, parseGetTagfocusData, parseGetUserSettingData, parseInventorySingleTagData, parseisBarcodeDataContainSSIIDData, parseisBarcodeDataContainTypeData, parseisBarcodeScanTimeOutData, parseKillData, parseLockData, parseOpenLedData, parseReadData, parseReadTagData_EPC, parseReadTagDataEPC_TID_USER, parserUhfTagBuff_EPC_TID_USER, parserUhfTagBuff_EPC_TID_USER, parseScanBarcodeInBlinkModeData, parseScanBarcodeInTriggleModeData, parseSetBarcodeSSIDData, parseSetBarcodeTypeData, parseSetBeepTimeOfDuration, parseSetCWData, parseSetEPCAndTIDModeData, parseSetEPCAndTIDUserModeData, parseSetEPCModeData, parseSetFilterData, parseSetFrequencyModeData, parseSetGen2Data, parseSetJumpFrequencyData, parseSetParameterData, parseSetPowerData, parseSetPowerOnDynamicData, parseSetProtocolData, parseSetR6WorkModeData, parseSetReaderAwaitSleepTimeData, parseSetRFLinkData, parseSetSoftResetData, parseSetTagfocusData, parseSetUserSettingData, parseStartInventoryTagData, parseSTM32VersionData, parseStopInventoryData, parseStopScanBarcodeInBlinkModeData, parseStopScanBarcodeInTriggleModeData, parseTemperatureData, parseUHFJump2BootData, parseUHFStartUpdateData, parseUHFStopUpdateData, parseUHFUpdatingData, parseVersionData, parseWriteData, requestGetBeepSendData, requestGetEx10SDKFirmware, requestGetFastInventoryMode, requestInventoryTempTag, requestSetFastInventoryMode, responseGetEx10SDKFirmware, responseGetFastInventoryMode, responseSetFastInventoryMode, respparseBeepData, setBarcodeSSIID, setBarcodeType, setBeepTimeOfDurationSendData, setCWSendData, setEPCAndTIDModeSendData, setEPCAndTIDUserModeSendData, setEPCAndTIDUserModeSendData, setEPCModeSendData, setFastIdSendData, setFilterSendData, setFrequencyModeSendData, setGen2SendData, setIndexData, setInventoryMessageModeSendData, setJumpFrequencySendData, setParameterSendData, setPowerOnDynamicSendData, setPowerSendData, setProtocolSendData, setR6WorkmodeSendData, setReaderAwaitSleepTimeSendData, setRFLinkSendData, setTagfocusSendData, setUserSettingSendData, stop2DSendData, uhfJump2BootSendData, uhfStartUpdateSendData, UHFStopUpdateSendData, uhfUpdatingSendData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UHFProtocolParseUrAxBase_qcom

          public UHFProtocolParseUrAxBase_qcom()

  - ### Method Detail

    - #### openUhfSendData

          public byte[] openUhfSendData()

    - #### parseOpenUhf

          public boolean parseOpenUhf(byte[] inData)

    - #### closeUhfSendData

          public byte[] closeUhfSendData()

    - #### parseCloseUhf

          public boolean parseCloseUhf(byte[] inData)

    - #### setAntSendData

          public byte[] setAntSendData(char saveflag,
                                       byte[] antStatus)

    - #### parseSetAntData

          public boolean parseSetAntData(byte[] inData)

    - #### getAntSendData

          public byte[] getAntSendData()

    - #### parseGetAntData

          public byte[] parseGetAntData(byte[] inData)

    - #### getReaderBeepStatusSendData

          public byte[] getReaderBeepStatusSendData()

    - #### parseGetReaderBeepStatusData

          public int parseGetReaderBeepStatusData(byte[] inData)

    - #### getBeepSendData

          public byte[] getBeepSendData(boolean isOpen)

      Description copied from interface: `IUHFProtocolParse`
      获取设置蜂鸣器的发送数据
      Specified by:
        `getBeepSendData` in interface `IUHFProtocolParse`
      Overrides:
        `getBeepSendData` in class `UHFProtocolParseByJava`
      Parameters:
        `isOpen` - true:表示打开蜂鸣器， false:表示关闭蜂鸣器
      Returns:
        发送的数据

    - #### parseBeepData

          public boolean parseBeepData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析设置蜂鸣器返回的数据
      Specified by:
        `parseBeepData` in interface `IUHFProtocolParse`
      Overrides:
        `parseBeepData` in class `UHFProtocolParseByJava`
      Parameters:
        `inData` - 设置蜂鸣器返回的原始数据
      Returns:
        true: 设置成功 ,flase:设置设备

    - #### getAndroidDeviceRebootSendData

          public byte[] getAndroidDeviceRebootSendData()

    - #### parseAndroidDeviceRebootData

          public boolean parseAndroidDeviceRebootData(byte[] inData)

    - #### setBuzzerOffOfAndroidSendData

          public byte[] setBuzzerOffOfAndroidSendData()

    - #### parseSetBuzzeroffOfAndroidData

          public boolean parseSetBuzzeroffOfAndroidData(byte[] inData)

    - #### setBuzzerOnOfAndroidSendData

          public byte[] setBuzzerOnOfAndroidSendData(int time)

    - #### parseSetBuzzerOnOfAndroidData

          public boolean parseSetBuzzerOnOfAndroidData(byte[] inData)

    - #### getAxGPIOInputStatusSendData

          public byte[] getAxGPIOInputStatusSendData()

    - #### parseA4GPIOInputStatusData

          public int parseA4GPIOInputStatusData(byte[] inData)

    - #### setAntWorkTimeSendData

          public byte[] setAntWorkTimeSendData(byte antnum,
                                               int WorkTime)

    - #### parseSetAntWorkTimeReceiveData

          public boolean parseSetAntWorkTimeReceiveData(byte[] inData)

    - #### parseGetAntWorkTimeReceiveData

          public int parseGetAntWorkTimeReceiveData(byte[] inData)

    - #### getAntWorkTimeSendData

          public byte[] getAntWorkTimeSendData(byte antnum)

    - #### startUpgradeTcpServiceSendData

          public byte[] startUpgradeTcpServiceSendData(long fileLen,
                                                       byte[] md5)

    - #### parseStartUpgradeTcpServiceData

          public boolean parseStartUpgradeTcpServiceData(byte[] inData)

    - #### getUpgradeTcpServiceVersionSendData

          public byte[] getUpgradeTcpServiceVersionSendData()

    - #### parseGetUpgradeTcpServiceVersionData

          public java.lang.String parseGetUpgradeTcpServiceVersionData(byte[] inData)

    - #### outputOnAndOffSendData

          public byte[] outputOnAndOffSendData(byte[] inData)

    - #### parseOutputOnAndOffData

          public boolean parseOutputOnAndOffData(byte[] inData)

    - #### setEthernetConfigInfoSendData

          public byte[] setEthernetConfigInfoSendData(ReaderIPEntity inData)

    - #### parseEthernetConfigInfoData

          public boolean parseEthernetConfigInfoData(byte[] inData)

    - #### setWifiConfigInfoSendData

          public byte[] setWifiConfigInfoSendData(WifiConfig inData)

    - #### parseWifiConfigInfoData

          public boolean parseWifiConfigInfoData(byte[] inData)

    - #### setPortSendData

          public byte[] setPortSendData(int port)

    - #### parsePortData

          public boolean parsePortData(byte[] inData)

    - #### startUpgradeUhfSendData

          public byte[] startUpgradeUhfSendData(long fileLen,
                                                byte[] md5)

    - #### parseStartUpgradeUhfData

          public boolean parseStartUpgradeUhfData(byte[] inData)

    - #### getWifiInfoSendData

          public byte[] getWifiInfoSendData()

    - #### parseWifiInfoData

          public byte[] parseWifiInfoData(byte[] inData)

    - #### openWifiSendData

          public byte[] openWifiSendData(boolean open)

    - #### parseOpenWifiData

          public boolean parseOpenWifiData(byte[] inData)

    - #### getAndroidDeviceHardwareVersionSendData

          public byte[] getAndroidDeviceHardwareVersionSendData()

    - #### parseAndroidDeviceHardwareVersionData

          public java.lang.String parseAndroidDeviceHardwareVersionData(byte[] inData)

    - #### getEthernetIpConfigSendData

          public byte[] getEthernetIpConfigSendData()

    - #### parseGetEthernetIpConfigData

          public java.lang.String parseGetEthernetIpConfigData(byte[] inData)

    - #### getWifiIpConfigSendData

          public byte[] getWifiIpConfigSendData()

    - #### parseGetWifiIpConfigData

          public java.lang.String parseGetWifiIpConfigData(byte[] inData)

    - #### setAntBlinkSendData

          public byte[] setAntBlinkSendData(byte[] ant)

    - #### parseSetAntBlinkData

          public boolean parseSetAntBlinkData(byte[] inData)

    - #### parseErrorCodeData

          public int parseErrorCodeData(byte[] inData)

    - #### setPowerSendData

          public byte[] setPowerSendData(int ant,
                                         int power)

      Overrides:
        `setPowerSendData` in class `UHFProtocolParseByJava`

    - #### writeMacSendData

          public byte[] writeMacSendData(byte[] data)

    - #### setEthernetDynamicSendData

          public byte[] setEthernetDynamicSendData()

    - #### parseSetEthernetDynamicResultData

          public boolean parseSetEthernetDynamicResultData(byte[] inData)

    - #### getEthernetIpAssignModeSendData

          public byte[] getEthernetIpAssignModeSendData()

    - #### getEthernetIpv6ConfigSendData

          public byte[] getEthernetIpv6ConfigSendData()

    - #### parseGetEthernetIpv6ConfigResultData

          public ReaderIPEntity parseGetEthernetIpv6ConfigResultData(byte[] inData)

    - #### getWifiIpv6ConfigSendData

          public byte[] getWifiIpv6ConfigSendData()

    - #### parseGetWifiIpv6ConfigResultData

          public WifiConfig parseGetWifiIpv6ConfigResultData(byte[] inData)

    - #### getUHFCurrentIpConfigSendData

          public byte[] getUHFCurrentIpConfigSendData()

    - #### parseUHFCurrentIpConfigResultData

          public ReaderIPEntity parseUHFCurrentIpConfigResultData(byte[] inData)

    - #### readMacSendData

          public byte[] readMacSendData()

    - #### parseReadMacData

          public java.lang.String parseReadMacData(byte[] inData)